<h1>Hey Hello {{name}}</h1>
<div>
  <button (click)="testMethod()">Clique pour tester ma méthode</button>
  <hr>
  <p>Je fais un calcul (5 + 2) : {{5+2}} !</p>
  <hr>
  <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
  <hr>
  <button (click)="zoomMinus()">zoom -</button>
  <button (click)="zoomPlus()">zoom +</button>
  <div class="inline-block">
    <img src="{{image1}}" id="image1" alt="ipad and macbook image" class="image" title="is the interpolated image." (click)="changeImage()">
    <img [src]="image2" id="image2" alt="ipad and macbook image" class="image" title="is the property bound image">
  </div>
  <hr>
  <button (click)="previous()">previous</button>
  <button (click)="next()">next</button>
  <div class="inline-block">
    <img [src]="imageCarousel" id="imageCarousel" alt="image carousel" class="image">
  </div>
  <hr>
  <p>
    <span>Entrer du texte avec affichage automatique.</span>
    <input [(ngModel)]="twoWaysBindingModel">
    <button (click)="clickAlert()">au click alert</button>
    <button (click)="clickAffiche()">au click affiche</button>
    <span>{{twoWaysBindingModel}}</span>
  </p>
  <p>
    <button (click)="clickTodo()">ajoute des tâches</button>
    <button (click)="removeLastTodo()">supprimer la dernière tâche</button>
  </p>
  <p><strong>{{clickAfficheText}}</strong></p>
  <ul>
    <li *ngFor="let todoValue of listTodo">
      {{todoValue.key}} {{todoValue.value}}
    </li>
    <!-- <li *ngFor="let todoKey of getKeys(listTodo); let todoValue of getValues(listTodo) ">
      {{todoKey}} {{todoValue}}
    </li> -->
    <!-- <li *ngFor="var item of listTodo">
      {{ item.keys() }}
    </li> -->
    <!-- <li *ngFor="let todo of listTodo" (ngModelChange)="validTodo($event)">{{today | date:'dd/MM/y - HH:mm:ss'}} - {{todo}}</li> -->
  </ul>
</div>
